%define abi     0.6
%define libname %mklibname %{name} %{abi}

Name:           mgba
Version:        0.6.0
Release:        %mkrel 1
Summary:        Fast and accurate Game Boy Advance emulator
Group:          Emulators
License:        MPLv2.0
URL:            https://mgba.io
Source0:        https://github.com/mgba-emu/mgba/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  lzma-devel
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(libedit)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(MagickWand)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sqlite3)

Recommends:     %{name}-qt

%description
mGBA is an emulator for running Game Boy Advance games. It aims to be
faster and more accurate than many existing Game Boy Advance emulators,
as well as adding features that other emulators lack. It also supports
Game Boy and Game Boy Color games.

This package contains the command-line SDL 2 frontend for mGBA; the
"%{name}-qt" package contains a full-featured graphical Qt 5 frontend.

%package qt
Summary:        Qt 5 frontend for the mGBA emulator

%description qt
This package contains the Qt 5 frontend of the mGBA emulator. The
lighter weight command-line SDL 2 frontend is provided by the "%{name}"
package.

%package -n %{libname}
Summary:        Shared data and library used by mGBA's Qt and SDL frontends
Group:          System/Libraries

%description -n %{libname}
This package contains the mGBA library and data files used by both the
Qt and SDL frontends of the mGBA emulator.

%prep
%autosetup -p1

# Unbundle thirdparty libs
rm -rf src/third-party/{libpng,sqlite3,zlib}

%build
%cmake
%make_build

%install
%make_install -C build

rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_docdir}/mGBA

%files
%doc CHANGES README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*

%files qt
%doc CHANGES README.md
%license LICENSE
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}-qt.6*

%files -n %{libname}
%{_datadir}/%{name}/
%{_libdir}/lib%{name}.so.%{abi}
%{_libdir}/lib%{name}.so.%{version}


%changelog
* Sun Jul 23 2017 akien <akien> 0.6.0-1.mga6
+ Revision: 1129655
- imported package mgba

